Name: H5Pset_fletcher32
Signature:
  herr_t `H5Pset_fletcher32`(hid_t `plist`)
Purpose:
  Sets up use of the Fletcher32 checksum filter.
Description:
  `H5Pset_fletcher32` sets the Fletcher32 checksum filter in the dataset creation property list `plist`.
Note:
  The initial error detection implementation supports error detection for chunked datasets only.
Parameters:

hid_t `plist` | IN: Dataset creation property list identifier.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5pset_fletcher32_f

      SUBROUTINE h5pset_fletcher32_f(prp_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id  ! Dataset creation property list
                                              ! identifier
        INTEGER, INTENT(OUT)       :: hdferr  ! Error code
                                              ! 0 on success and -1 on failure
      END SUBROUTINE h5pset_fletcher32_f

History:

Release | C
1.6.0 | Function introduced in this release.